## Rename a group (identity:admin)

`PUT /api/hr/v1/groups/{id}`

Module: HR · operationId: `updateGroup` · Tag: Access · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Request body

`application/json` (required)

- `name` (string, required): Name of the group
- `description` (string): Description of the group
- `id` (string): Id of the group
- `memberCount` (integer, read-only): Number of members
- `roleIds` (array of string, read-only): Ids of the roles the members receive
- `version` (integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)

Example:

```json
{
  "description": "Erste Annahme und Bearbeitung von Tickets",
  "id": "21a3c5e7-9b1d-4d3f-8a5c-7e9b1d3f5a91",
  "memberCount": 4,
  "name": "Service Desk 1st Level",
  "roleIds": [
    "31b3d5f7-9a1c-4e3b-8d5f-7a9c1e3b5d40"
  ],
  "version": 3
}
```

### Responses

- **200** Saved (`application/json`)
- **409** Error (`application/json`)

Fields of the 200 answer:

- `name` (string, required): Name of the group
- `description` (string): Description of the group
- `id` (string): Id of the group
- `memberCount` (integer, read-only): Number of members
- `roleIds` (array of string, read-only): Ids of the roles the members receive
- `version` (integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)

Example 200 answer:

```json
{
  "description": "Erste Annahme und Bearbeitung von Tickets",
  "id": "21a3c5e7-9b1d-4d3f-8a5c-7e9b1d3f5a91",
  "memberCount": 4,
  "name": "Service Desk 1st Level",
  "roleIds": [
    "31b3d5f7-9a1c-4e3b-8d5f-7a9c1e3b5d40"
  ],
  "version": 3
}
```

### Example request

```bash
curl -X PUT 'https://api.mbcom.cloud/api/hr/v1/groups/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"description":"Erste Annahme und Bearbeitung von Tickets","id":"21a3c5e7-9b1d-4d3f-8a5c-7e9b1d3f5a91","memberCount":4,"name":"Service Desk 1st Level","roleIds":["31b3d5f7-9a1c-4e3b-8d5f-7a9c1e3b5d40"],"version":3}'
```
